package com.zepchat.core.transport;

import com.zepchat.core.data.Message;
import com.zepchat.core.data.User;

/**
 * Created by Ziver on 2014-11-06.
 */
public interface ZEPMessagingTransport {

    public interface MessageListener{
        public void newMessage(Message message);
    }
    public void setMessageListener(MessageListener msgListener);
    public void sendMessage(User remoteUser, String message);

    public void close();
}
